tensorpack.tfutils package
==========================

.. container:: custom-index

    .. raw:: html

        <script type="text/javascript" src='../_static/build_toc_group.js'></script>

tensorpack.tfutils.argscope module
------------------------------------

.. automodule:: tensorpack.tfutils.argscope
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.collection module
------------------------------------

.. automodule:: tensorpack.tfutils.collection
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.gradproc module
------------------------------------

.. automodule:: tensorpack.tfutils.gradproc
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.tower module
------------------------------------

.. automodule:: tensorpack.tfutils.tower
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.scope_utils module
--------------------------------------

.. automodule:: tensorpack.tfutils.scope_utils
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.optimizer module
------------------------------------

.. automodule:: tensorpack.tfutils.optimizer
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.sesscreate module
------------------------------------

.. automodule:: tensorpack.tfutils.sesscreate
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.sessinit module
------------------------------------

.. automodule:: tensorpack.tfutils.sessinit
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.summary module
---------------------------------

.. automodule:: tensorpack.tfutils.summary
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.varmanip module
----------------------------------

.. automodule:: tensorpack.tfutils.varmanip
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.varreplace module
------------------------------------

.. automodule:: tensorpack.tfutils.varreplace
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.export module
------------------------------------

.. automodule:: tensorpack.tfutils.export
    :members:
    :undoc-members:
    :show-inheritance:

tensorpack.tfutils.dependency module
------------------------------------

.. automodule:: tensorpack.tfutils.dependency
    :members:
    :undoc-members:
    :show-inheritance:

Other functions in tensorpack.tfutils module
---------------------------------------------

.. automethod:: tensorpack.tfutils.get_default_sess_config
.. automethod:: tensorpack.tfutils.get_global_step_var
.. automethod:: tensorpack.tfutils.get_global_step_value
.. automethod:: tensorpack.tfutils.get_tf_version_tuple
